Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

apt-get install python-gdal installs version 1.6.0 and this is already installed. I would like to install the 1.9.0 version. Do I have to de-install 1.6.0 first and then compile manually or is there an apt-get package that I have missed?

thanks for any help,

Rob

share|improve this question
add comment

3 Answers 3

up vote 3 down vote accepted

You can get 1.9 from Ubuntugis (see https://launchpad.net/~ubuntugis/+archive/ubuntugis-unstable).

See http://trac.osgeo.org/gdal/wiki/DownloadingGdalBinaries for other sources of binaries.

Failing all else you can build 1.9 from the sources (http://trac.osgeo.org/gdal/wiki/BuildHints)

share|improve this answer
    
Sorry, the downvote was accidental (stupid tiny phone browser and fat fingers...) and now I can't change it unless you edit your answer. FYI 1.9 is available for Ubuntu 10.04 via the Ubuntugis unstable PPA. –  Luke Mar 15 '12 at 22:15
    
will gdal 1.9 be available for Ubuntu 11.10 soon via ubuntugis-unstable or should I compile it myself? –  Janvb Mar 27 '12 at 8:57
add comment

Build from source, with Python bindings:

sudo apt-get install build-essential python-all-dev
wget http://download.osgeo.org/gdal/gdal-1.9.0.tar.gz
tar xvfz gdal-1.9.0.tar.gz
cd gdal-1.9.0
./configure --with-python
make
sudo make install

In addition, some Linux distributions require the shared library cache to be updated after install:

sudo ldconfig

(Note: there are newer versions of GDAL available that can be compiled similar to this answer.)

share|improve this answer
1  
Thanks Mike is was very helpful, your description how on to build up gdal from the source. –  user9417 Aug 8 '12 at 21:32
    
@Rengifo Please upvote useful answers. You may leave comments but upvoting is even more important. –  underdark Aug 9 '12 at 6:24
    
After 2 days unable to get gdal functioning in Ubuntu, finding this comment was /very/ helpful! One minor note though is that the rest of the GIS stack installs into /usr/local/bin and this seems to install into /usr/bin/ –  Mittenchops Jan 8 '13 at 7:14
    
I had trouble installing from the repository. This took awhile to execute but it worked. –  RevNoah Jun 14 '13 at 22:15
    
For what it is worth, this was one of the quickest/easiest install-from-source packages I've had dealt with in a while. Recommend going this route! –  Yablargo Nov 8 '13 at 21:40
add comment

You can get 1.9 from Ubuntugis (see https://launchpad.net/~ubuntugis/+archive/ubuntugis-unstable) as you're running Ubuntu 10.04 Lucid. 1.9 was built for Lucid for the OSGEO Live DVD and should be available for other Ubuntu versions soon (ish). Source: some email traffic on the UbuntuGIS mailing list.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.